<md-dialog class="modal-default fullscreen-tablet-dialog styled-modal" aria-label="Upload image" zafira-background-theme="modal">
    <form class="form-validation styled-modal__form" name="upload_image_form" ng-submit="$ctrl.uploadImage(photo); $ctrl.untouchForm(upload_image_form)" ng-cloak>
        <md-toolbar class="modal-header">
            <div class="md-toolbar-tools modal-header__wrapper">
                <h2 id="modalTitle" class="modal-header__title">Upload image</h2>
                <span flex></span>
                <md-button id="close" class="md-icon-button _default-md-style" data-ng-click="$ctrl.closeModal()">
                    <md-icon aria-label="Close dialog">close</md-icon>
                </md-button>
            </div>
        </md-toolbar>

        <md-dialog-content class="modal-content">
            <div class="md-dialog-content modal-content__wrapper">
                <photo-upload id="uploadPhoto"
                    ng-model="photo"
                    accept-type="image/png, image/jpeg"
                    area-type="circle"/>
            </div>
        </md-dialog-content>

        <md-dialog-actions layout="row" class="styled-modal__controls-wrapper">
            <md-button id="upload" type="submit"
                       class="md-raised btn-w-md md-primary"
                       ng-disabled="upload_image_form.$invalid || !photo">
                Upload
            </md-button>
        </md-dialog-actions>
    </form>
</md-dialog>
